### Type parameters

### Hierarchy

- ngeoProfileOptions

## Index

### Properties

- light
- lightXAxis
- linesConfiguration
- poiLabelAngle
- styleDefs

## Properties

### light

light: boolean

- Defined in src/options.js:341

Show a simplified profile when true.

### lightXAxis

lightXAxis: boolean

- Defined in src/options.js:342

Show a simplified x axis with only both end ticks.

### linesConfiguration

linesConfiguration: Object

- Defined in src/options.js:337

Configuration object for the profile's

### poiLabelAngle

poiLabelAngle: number

- Defined in src/options.js:339

Inline CSS style definition to inject in the SVG. lines. The key string of each object is used as class for its respective svg line.

### styleDefs

styleDefs: string

- Defined in src/options.js:338

Inline CSS style definition to inject in the SVG.

Generated using TypeDoc